##### 7.5.2.0. linSyzSolve

Procedure from library `bfun.lib` (see bfun_lib).

Usage:
  linSyzSolve(I[,s]); I an ideal, s an optional int

Return:
  vector, coefficient vector of linear combination of 0 in elements of I

Purpose:
  compute a linear dependency between the elements of an ideal
  if such one exists

Note:
  If s<>0, `std` is used for Groebner basis computations,
  otherwise, `slimgb` is used.
  By default, `slimgb` is used in char 0 and `std` in char >0.

Display:
  If printlevel=1, progress debug messages will be printed,
  if printlevel>=2, all the debug messages will be printed.

Example:

    LIB "bfun.lib";
    ring r = 0,x,dp;
    ideal I = x,2x;
    linSyzSolve(I);
    ==> gen(2)-2*gen(1)
    ideal J = x,x2;
    linSyzSolve(J);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.